{ nixpkgs ? import <nixpkgs> { }
, ghc ? nixpkgs.ghc
}:

with nixpkgs;

let
  version = "2017-03-03";
in

# https://github.com/NixOS/nixpkgs/blob/master/doc/languages-frameworks/haskell.md
# https://github.com/NixOS/nixpkgs/blob/master/pkgs/development/haskell-modules/generic-stack-builder.nix
# https://github.com/NixOS/nixpkgs/pull/11687

haskell.lib.buildStackProject {
  name = "himes-${version}";

  src = fetchgit {
    url = "https://gogs.prunetwork.fr/HIMES/himes.git";
    rev = "458ea4de7a21eb1aba93db8139779cfabcfb0dcd";
    sha256 = "1yfby6hb7lg7z6kc3y0084rzhz3kyyjsgs1qgzjfr0vs5r6v9ddn";
  };
  #buildInputs = [ stack himes-src];
  buildInputs = [ stack ];
  inherit ghc;
}

#stdenv.mkDerivation rec {
